Subject: bug#32250: ls -explain better the different times

From: Paul Eggert <[email-masked]>
Date: Mon, 31 Dec 2018 00:05:02 -0800

Assaf Gordon wrote:
> Attached is an improvement suggestion, adding a summary table,
> and details examples.
> 
> Comments and feedback welcomed,

I'm afraid that table goes into so much detail that it will overwhelm the user. 
Why, for example, have separate lines for chmod and chown?

Also, some of the entries look too system-specific.  For example, POSIX doesn't 
require that 'ls DIR' must update the access time of DIR, many systems don't 
update access times even when POSIX says they should, and on some systems 
symbolic links' timestamps are irrelevant and/or unchangeable.

Also, since when does "cp -p a b" not update a's access time? Traditional 'cp' 
does update the source's access time, and POSIX seems to require that.